import 'package:flutter/material.dart';

class FlickerColors {
  final Color subTitle;
  final Color title;
  final Color elevatedButtonPrimary;

  final Color inputControlEnabledBorder;
  final Color inputControlBorder;
  final Color inputControlFocusedBorder;
  final Color inputControlDisabledBorder;
  final Color inputLabel;
  final Color input;
  final Color inputCursor;
  final Color hintText;

  final MaterialStateProperty<Color?>? gridHeadingRowBackgroundColor;
  final Color? gridHeadingRowTextColor;

  FlickerColors({
    this.subTitle = Colors.pink,
    this.title = Colors.pink,
    this.elevatedButtonPrimary = Colors.pink,
    this.inputControlEnabledBorder = Colors.pink,
    this.inputControlBorder = Colors.pink,
    this.inputControlFocusedBorder = Colors.pink,
    this.inputControlDisabledBorder = Colors.transparent,
    this.inputLabel = Colors.pink,
    this.input = Colors.pink,
    this.inputCursor = Colors.pink,
    this.hintText = Colors.pink,
    this.gridHeadingRowBackgroundColor,
    this.gridHeadingRowTextColor,
  });
}
